%define cleanbuildroot 0

%define qtversion 3.3
%define qtlib qt3
%define kdelibs_version kdelibs3
%define kdeversion 3.4

%define icecreamdir %{_prefix}/%{_lib}/icecream

Name: icecream
Version: 0.6.20050608
Release: 235mdk
Epoch: 0
Summary: Icecream is a distributed p2p based compile system
Group: Development/C
Group(pt_BR): Utilitrios
Group(es): Utilitarios
License: GPL
URL: http://www.kde.org/
Source0: %{name}-%{version}.tar.bz2
Source1: init.icecream
Source2: init.icecream-scheduler
Source3: sysconfig.icecream
Source4: icecream.sh
Source5: icecream.csh
Source7: logrotate.icecream
Source8: logrotate.icecream-scheduler
Patch0: icecream-tweakload.patch
Patch1: icecream-fix-build-on-mdk10_0.patch
BuildRequires: kdelibs-devel
Requires: chkconfig
PreReq: rpm-helper
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Icecream is a distributed p2p based compile system


%post
%_post_service icecream
%preun
%_preun_service icecream

#-------------------------------------------------------------------------------

%package scheduler
Summary: Icecream scheduler
Summary(pt_BR): Scheduler do %{name}
Group: Development/C
Group(pt_BR): Desenvolvimento
Group(es): Desarrollo
Requires: chkconfig
Requires: icecream = %{epoch}:%{version}
PreReq: rpm-helper

%description scheduler
%{name} scheduler

%description -l pt_BR scheduler
Scheduler do %{name}

%post scheduler
%_post_service icecream-scheduler

%preun scheduler
%_preun_service icecream-scheduler

#-------------------------------------------------------------------------------

%package monitor
Summary: Icecream client files
Summary(pt_BR): Arquivos cliente do %{name}
Group: Development/C
Group(pt_BR): Desenvolvimento
Group(es): Desarrollo
Requires: icecream

%description monitor
%{name} graphic monitor

%description -l pt_BR monitor
monitor grfico do %{name}

#-------------------------------------------------------------------------------

%package doc
Summary: Icecream documentation
Summary(pt_BR): Documentao de %{name}
Group: Documentation
Group(pt_BR): Documentao
Group(es): Documentacin

%description doc
%{name} documentation 

%description -l pt_BR doc
Documentao do %{name}


#---------------------------------------------------------------------------------

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1
%if %mdkversion <= 1010
%patch1 -p1 -b .fix_build_on_mdk_100
%endif

# use the real binary, not the (possibly broken) alternative
mkdir bin
ln -s %{_datadir}/unsermake/unsermake bin/unsermake

%build
%if %mdkversion <= 1010
make -f Makefile.cvs
%endif


%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif

./configure \
	--prefix=%{icecreamdir} \
	$kdelibsuffix \
	--disable-debug



%install 
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/profile.d
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{icecreamdir}/bin
install -d %{buildroot}%{_prefix}
install -d %{buildroot}%{_datadir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/cache/icecream
		
make DESTDIR=%{buildroot} install

install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/icecream
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/icecream-scheduler
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/icecream
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/icecream
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/logrotate.d/icecream-scheduler

# symlinks for libtool
cd %{buildroot}%{icecreamdir}/bin/
pref=`gcc -dumpmachine`
for a in gcc g++ c++; do
	ln -s icecc $pref-$a
done

# Moving icemon to KDE dir
mv %{buildroot}%{icecreamdir}/share/applications %{buildroot}%{_datadir}
mv %{buildroot}%{icecreamdir}/share/apps %{buildroot}%{_datadir}
mv %{buildroot}%{icecreamdir}/bin/icemon %{buildroot}%{_bindir}/icemon
mv %{buildroot}%{icecreamdir}/%{_lib}/* %{buildroot}%{_prefix}/%{_lib}/
mv %{buildroot}%{icecreamdir}/share/doc %{buildroot}%{_datadir}

%clean
	rm -rf %{buildroot}

%files 
%defattr(-,root,root,0755)
%{icecreamdir}/bin/create-env
%{icecreamdir}/sbin/iceccd
%{icecreamdir}/bin/icecc
%{icecreamdir}/bin/*gcc
%{icecreamdir}/bin/*g++
%{icecreamdir}/bin/cc
%{icecreamdir}/bin/*c++
%{_sysconfdir}/rc.d/init.d/icecream
%config(noreplace) %{_sysconfdir}/sysconfig/icecream
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%config(noreplace) %{_sysconfdir}/logrotate.d/icecream
%defattr(0644,root,root,1777)
%dir /var/cache/icecream

%files scheduler
%defattr(-,root,root,0755)
%{icecreamdir}/sbin/scheduler
%{_sysconfdir}/rc.d/init.d/icecream-scheduler
%config(noreplace) %{_sysconfdir}/logrotate.d/icecream-scheduler

%files monitor
%defattr(0644,root,root,0755)
%{_prefix}/%{_lib}/kde3/icemon_*
%attr(0755,root,root) %{_prefix}/bin/icemon
%{_prefix}/share/apps/icemon
%{_prefix}/share/apps/kicker/applets/icemonapplet.desktop
%{_prefix}/share/applications/kde/icemon.desktop

%files doc
%defattr(-,root,root,0755)
%{_prefix}/share/doc/HTML/en/icemon



%changelog
* Wed Jun 22 2005 Helio Chissini de Castro <helio@mandriva.com> 0.6.20050608-235mdk
+ 2005-06-22 11:32:22 (235)
- Add test for ccache presence. ccache will have precedence on icecream if they
  are present

* Tue Jun 14 2005 Helio Chissini de Castro <helio@mandriva.com> 0.6.20050608-213mdk
+ 2005-06-14 11:51:26 (213)
- Fixed lib64 for x86_64 archs

* Thu Jun 09 2005 Helio Chissini de Castro <helio@mandriva.com> 0.6.20050608-154mdk
+ 2005-06-09 09:18:50 (154)
- Uploaded icecream package to subversion
- New release 0.6.20050608
- Fixed tweakload patch
- Removed gcc4 specific patch
- Moved documentation and monitor GUI to base kde dir

%changelog
* Fri May  6 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.20041221-7mdk
- fix build on MDK 10.1 too (no makekdewidgets)
- fix create-env to not try sending the specs if it doesn't exist

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.20041221-6mdk
- Fix build on MDK 10.0

* Fri Jan 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.20041221-5mdk
- try to find out a working version of unsermake

* Wed Jan 26 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.20041221-4mdk
- lib64 fixes

* Sat Jan 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.6.20041221-3mdk
- fix icecream-scheduler: service lock file name and logrotate file name.
- add symlinks for compiler names

* Tue Dec 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.6.20041221-2mdk
- switch to libdir instead of /opt

* Tue Dec 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.6.20041221-1mdk
- init Mandrakelinux package

* Tue Dec 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-12-21 14:19:26 (73293)
- Fixed new paths

* Tue Dec 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-12-21 12:02:37 (73256)
- Update config tools

* Mon Dec 20 2004 Herton Ronaldo Krzesinski <herton@conectiva.com.br>
+ 2004-12-20 18:40:08 (73136)
- Fixed typo in icecream initscript, the right lock file is
  /var/lock/subsys/icecream not /var/lock/subsys/iceccd (This was also
  breaking the automatic icecream stop when restarting/shutting down a
  computer).

* Tue Nov 30 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-11-30 11:41:02 (72030)
- Added missing source

* Tue Nov 30 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-11-30 11:33:05 (72029)
- Removed patch in create-env, already commited to upstream
- Minor redraw problem: when the monitor comes up in star view, the nodes aren't
  drawn. Force an update to show all nodes.
- Allow suppression of domain names (default off)

* Mon Nov 29 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-11-29 18:35:22 (72017)
- Fixed LD_ASUME_KERNEL on create-env

* Fri Nov 19 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-11-19 17:06:08 (71444)
- Fiz unsermake build

* Fri Nov 19 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-11-19 15:32:29 (71441)
- New cvs release from 20041120

* Fri Oct 15 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-10-15 15:45:52 (69720)
- New upstream version

* Fri Oct 08 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-10-08 17:21:52 (69404)
- Added missing tons of BuildRequires.

* Fri Oct 08 2004 Marcelo Ricardo Leitner <mrl@conectiva.com.br>
+ 2004-10-08 16:45:08 (69403)
- Added missing BuildRequires to xfree86-devel.

* Fri Oct 01 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-10-01 14:33:48 (68958)
- Fixed initscript

* Fri Oct 01 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-10-01 13:37:38 (68945)
- Added patch to fix missing libraries on environment
- Added temp patch to tweak load

* Thu Sep 23 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-23 10:04:30 (68340)
- Add root owner for cache an mark with 1777

* Thu Sep 23 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-23 09:16:39 (68335)
- Make all users see /var/cache/icecream directory

* Wed Sep 22 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-22 19:00:58 (68307)
- /var/cache/icecream must be writable for nobody user

* Wed Sep 22 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-22 18:01:48 (68291)
- Fixed epoch

* Wed Sep 22 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-22 17:47:09 (68290)
- scheduler must requires icecream to have proper net connections

* Wed Sep 22 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-22 17:45:35 (68289)
- Another initscript fix and proper start/restart on package install

* Wed Sep 22 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-22 15:35:55 (68251)
- Fixed initscripts status and parameter for scheduler
- Changed name for logs
- Added logrotate ( hit from Andreas )

* Tue Sep 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-21 18:05:21 (68198)
- Added fixed arch links for libtool requires. Usually conectiva ships just i386 compiler, but it's possible to use in test environments i686 compiler, so both symlinks are added

* Tue Sep 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-21 17:14:20 (68185)
- Fixed build of new version

* Tue Sep 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-21 16:23:05 (68163)
- Non block processes for scheduler

* Tue Sep 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-21 13:50:26 (68118)
- Fixed initscripts

* Tue Sep 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-21 13:49:07 (68117)
- Fixed initscripts

* Tue Sep 21 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-21 11:42:24 (68098)
- fix params on daemons

* Fri Sep 17 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-17 11:46:17 (67956)
- Added menu file and fixed initscripts

* Wed Sep 15 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-15 15:49:49 (67905)
- Fixed profile

* Wed Sep 15 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-15 09:27:30 (67877)
- Missing add icecream path for icemon in ccache case.

* Tue Sep 14 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-14 17:42:14 (67849)
- Last ccache changes

* Tue Sep 14 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-14 17:02:26 (67843)
- Prepares for ccache

* Tue Sep 14 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-14 15:45:10 (67833)
- fixed libpath

* Tue Sep 14 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-14 15:28:02 (67831)
- Fixed kde paths to compile

* Tue Sep 14 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-14 15:09:35 (67825)
- Fixed paths

* Tue Sep 14 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-14 14:53:18 (67812)
- Added missing source

* Tue Sep 14 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-14 14:52:35 (67811)
- New upstream version
- Fixed paths

* Thu Sep 02 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-02 15:22:19 (67271)
- Fixed permissions

* Thu Sep 02 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-02 15:09:37 (67270)
- Added sources and specs

* Wed Sep 01 2004 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2004-09-01 18:24:24 (67223)
- Created dir structure
